﻿DECLARE @GpuConstraintName nvarchar(200)
SELECT @GpuConstraintName = name FROM SYS.DEFAULT_CONSTRAINTS WHERE PARENT_OBJECT_ID = OBJECT_ID(N'[dbo].[Node]') AND PARENT_COLUMN_ID = (SELECT column_id FROM sys.columns WHERE NAME = N'NumGpus' AND object_id = OBJECT_ID(N'[dbo].[Node]'))
IF @GpuConstraintName IS NOT NULL  
    EXEC('ALTER TABLE Node DROP CONSTRAINT ' + @GpuConstraintName)

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Node]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Node]') AND name = N'NumGpus')
BEGIN
    ALTER TABLE Node DROP COLUMN NumGpus
END
GO

EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '4.4';