@echo off

echo **** Applying SP1 updates to Windows PE image

echo **** Creating temporary folder
echo **** Location: %TEMP%\HPC.WIM.TEMP
mkdir "%TEMP%\HPC.WIM.TEMP"

echo **** Mounting HPC Windows PE image
DISM.exe /Mount-Wim /WimFile:"%CCP_DATA%\Boot\x64\boot.wim" /index:1 /MountDir:"%TEMP%\HPC.WIM.TEMP"

echo **** Updating startnet file
@echo @set HEADNODE=%COMPUTERNAME% > hn.tmp
@copy /y hn.tmp+"%CCP_HOME%\Bin\startnet.cmd" "%TEMP%\HPC.WIM.TEMP\Windows\System32\startnet.cmd"
@del hn.tmp

echo **** Updating ExecutionClient
copy /y "%CCP_HOME%\Bin\executionclient.exe" "%TEMP%\HPC.WIM.TEMP\Windows\System32\executionclient.exe"

echo **** Committing changes
DISM.exe /Unmount-Wim /MountDir:"%TEMP%\HPC.WIM.TEMP" /commit

echo **** Removing temporary folder
rmdir /s /q "%TEMP%\HPC.WIM.TEMP"
