/*This file should contain all the downgrade statements from v4SP1 to v4RTM */


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Node]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Node]') AND name = N'AzureNodeRoleName')
BEGIN
    ALTER TABLE Node DROP COLUMN AzureNodeRoleName
END
GO

-- Please Keep this at last
-- Decrease DbVersion
EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '4.0';
GO

SET ANSI_PADDING OFF
GO

